Summary:        X Neural Switcher
Name:           xneur
Version:        0.20.0
Release:        1%{?dist}.inferit

License:        GPLv2
Group:          User Interface/Desktops
URL:            http://www.xneur.ru
Source:         http://dists.xneur.ru/release-%{version}/tgz/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: xneur-memset.patch
Patch1: xneur-unnest-function.patch
Patch2: xneur-enchant2.patch
Patch3: xneur-fix-arg-parsing.patch
Patch4: xneur-gcc-10.patch

BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib2-devel
BuildRequires:  pcre-devel
BuildRequires:  libX11-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  freealut-devel >= 1.0.1
BuildRequires:  aspell-devel
BuildRequires:  libXpm-devel
BuildRequires:  imlib2-devel
BuildRequires:  xosd-devel
BuildRequires:  gettext-devel
BuildRequires:  libnotify-devel
BuildRequires:  enchant-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXtst-devel
BuildRequires:  autoconf, automake, libtool, intltool
BuildRequires:  zlib-devel


%description
X Neural Switcher is a program for automatic (intelligent) keyboard layout
changing in the X Window System. It is mainly used to change between Russian
and English, but also supports Armenian, Belorussian, Bolgarian, Czech,
Georgian, German, Greek, Estonian, French, Kazakh, Lithuanian, Latvian, Polish,
Moldovan (Romanian), Spanish, Ukrainian and Uzbek.


%description -l ru
X Neural Switcher это программа для автоматического (интеллектуального)
переключения раскладок клавиатуры в X Window. Прежде всего он предназначен
для смены русской и английской раскладок, но также поддерживаются армянский,
белорусский, болгарский, чешский, грузинский, немецкий, греческий, эстонский,
французский, казахский, литовский, латвийский (латышский), польский, молдавский
(румынский), испанский, украинский и узбекский языки.


%package devel
Summary:        Static library and header files for the xneur
Group:          Development/Libraries
Requires:       %{name} = %{version}


%description devel
The %{name}-devel package contains API documentation for
developing %{name}.


%prep
%setup
%patch0 -p2
%patch1 -p2
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Stupid unhack
sed -i 's/loKg_message/log_message/' lib/main/program.c

%build
autoreconf -fvi
%configure --disable-static --with-spell=aspell

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f %{buildroot}%{_libdir}/%{name}/*.{a,la} %{buildroot}%{_libdir}/*.{a,la}

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/%{name}/xneurrc*
%{_bindir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so.*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
/usr/share/icons/hicolor


%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so
%{_libdir}/%{name}/*.so
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*


%changelog
* Tue Jul 25 2023 Sergey Cherevko <s.cherevko@msvsphere.ru> - 0.20.0-1.inferit
- Update spec
- Rebuilt for MSVSphere 9.2

* Fri Jan 15 2021 Andrey Cherepanov <cas@altlinux.org> 0.20.0-alt4
- Apply patches from Debian.
- Clarify License tag.
- Spec cleanup.

* Mon Jul 13 2020 Andrew Savchenko <bircoph@altlinux.org> 0.20.0-alt3
- Get rid of nested function in Levenshtein distance calculation:
  this allows build on non-gcc compilers.
- Optimize array setup for Levenstein distance using memset instead
  of inefficient nested array.

* Wed Oct 03 2018 Fr. Br. George <george@altlinux.ru> 0.20.0-alt2
- Rebuild with grstreamer1.0

* Mon May 29 2017 Fr. Br. George <george@altlinux.ru> 0.20.0-alt1
- Autobuild version bump to 0.20.0

* Thu Nov 17 2016 Fr. Br. George <george@altlinux.ru> 0.19.0-alt1
- Autobuild version bump to 0.19.0

* Mon Oct 28 2013 Fr. Br. George <george@altlinux.ru> 0.17.0-alt1
- Autobuild version bump to 0.17.0
- Drop inactual patches

* Sun Aug 04 2013 Vitaly Lipatov <lav@altlinux.ru> 0.16.0-alt1
- new version 0.16.0 (with rpmrb script)

* Thu Apr 05 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.15.0-alt1.1
- Fixed build with new libX11

* Wed Jan 11 2012 Fr. Br. George <george@altlinux.ru> 0.15.0-alt1
- Autobuild version bump to 0.15.0
- Icon files added (still no .desktop)

* Mon Jun 27 2011 Fr. Br. George <george@altlinux.ru> 0.13.0-alt1
- Autobuild version bump to 0.13.0

* Wed Feb  2 2011 Arkady L. Shane <ashejn@yandex-team.ru> 0.12.0-1
- update to 0.12.0

* Wed Feb  2 2011 Arkady L. Shane <ashejn@yandex-team.ru> 0.12.0-1
- update to 0.12.0

* Sun Nov 28 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.11.1-1
- update to 0.11.1

* Sat Oct  6 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.10.0-1
- update to 0.10.0
- some merges from hubbitus spec

* Mon Aug 16 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.9-2
- rebuilt for Fedra 14

* Fri May 21 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.9-1
- update to 0.9.9

* Sun Mar 21 2010 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.8-1
- update to 0.9.8

* Thu Oct 15 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.7-1
- update to 0.9.7

* Wed Sep 16 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.6-1
- update to 0.9.6

* Wed Aug  5 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.5-1
- update to 0.9.5

* Wed Apr 22 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.4-1
- 0.9.4

* Fri Apr 17 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.4-0.1.20090416svn344
- last snapshot

* Fri Jan  9 2009 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.3-1
- 0.9.3

* Mon Nov  3 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.2-1
- 0.9.2

* Fri Jul 25 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.1-1
- 0.9.1

* Tue Jun 24 2008 Arkady L. Shane <ashejn@yandex-team.ru> 0.9.0-1
- 0.9.0

* Fri Oct 12 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.8.0-1
- 0.8.0
- add missing BR gstreamer-devel, freealut-devel, aspell-devel

* Tue Jul 17 2007  Arkady L. Shane <ashejn@yandex-team.ru> 0.6.2-1
- 0.6.2

* Fri May 18 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.6.1-1
- 0.6.1

* Mon Apr 23 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.6-1
- 0.6

* Sat Mar 10 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.5-1
- 0.5.0
- add devel package

* Tue Jan 23 2007 Arkady L. Shane <ashejn@yandex-team.ru> 0.4-1
- rebuilt for FC6
- cleanup spec

* Wed Jan 03 2007 Nik <niktr@mail.ru>
- rebuild for FC6
- updated to svn version dated 03012007
- minor changes in spec file

* Wed Mar 02 2005 Andy Shevchenko <andriy@asplinux.ru>
- rebuild for ASPLinux
- update to 0.0.3

* Mon Feb 14 2005 myLinux, Ltd <info@mylinux.com.ua>
- build for myLinux

* Wed Jan 12 2005 Vitaly Lipatov <lav@altlinux.ru> 0.0.2-alt0.1
- first build for Sisyphus
